Skip to main content
ExLibris
  • Subscribe by RSS
  • ExLibris Dev

    Z39.50 not working after upgrade to Voyager 9

    • Article Type: General
    • Product: Voyager
    • Product Version: 9

    Problem Symptoms:
    * Other libraries are unable to connect via Z39.50
    * Consortium or ILL partners unable to search catalog

    Cause:
    This behavior is the result of Issue VYG-5730.

    Resolution:
    Issue VYG-5730 is resolved for Voyager 9.1.0 and higher.

    Additional Information

    Workaround:
    1. Edit /m1/voyager/xxxdb/ini/z3950svr.ini
    2. Find the ZServer setting:
    ZServer=localhost
    3. Change the ZServer value from "localhost" to "0.0.0.0":
    ZServer=0.0.0.0
    4. Restart the z3950svr process for that Voyager instance:
    4a. On Solaris:
    svcadm restart xxxdb/Pz3950svr
    4b. On Linux:
    ps -ef | grep z3950 | grep xxxdb| awk {'print $2'} | xargs kill
    /m1/voyager/xxxdb/sbin/Pz3950svr

    Other Information:
    If the server supports IPv6, use "::0" instead:
    ZServer=::0

    Category: Z39.50 Server - Voyager

    Subject: Voyager


    • Article last edited: 10/17/2014
    //doorbell.io feedback widged